package es.ejie.frmk.infraestructura.sms;

import java.util.HashMap;

import es.ejie.frmk.infraestructura.utilidades.configurador.Q70ConfiguradorBase;

/**
 * Clase encargada de recuperar la configuración de:
 * <ul>
 * <li> la URL de la pasarela SMS</li>
 * </ul>
 * @version 2.0 Fecha: 07-jun-06
 */
public class Q70ConfiguradorSMS extends Q70ConfiguradorBase {

	/*private String urlSMS;
	private String prefijoSMS;
	*/
	private HashMap datosSMS = new HashMap(2); 
	
	/**
	 * @param ficheroXML
	 * @param aplicacionCodigo
	 */
	public Q70ConfiguradorSMS (String ficheroXML, String aplicacionCodigo)
	{
		setFichero(ficheroXML);
		setCodigoAplicacion(aplicacionCodigo);
	}

	/**
	 * @param nombre
	 * @param valor
	 * @param nivel
	 * @param path
	 */
	public void beginProperty(String nombre,String valor,String nivel,String path)
	{
		if (nivel.equals("/propiedad")){
			if (nombre.equals(Q70Constantes.SMS_URL)){
				datosSMS.put("urlSMS",valor);
			}
			else if (nombre.equals(Q70Constantes.PREFIJO_SMS)){
				datosSMS.put("prefijoSMS",valor);
			}
		}
	}
	
	/**
	 * @return URL pasarela SMS
	 */
	protected Object getConfiguracion()
	{
		return this.datosSMS;
	}
}



